/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\DismountKing.cs
Lines of code: 40

Description: 

***********************************************************/



using System;
using Server;

namespace Server.Items
{
	public class DismountKing : BladedStaff
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

	 	[Constructable]
	 	public DismountKing()
	 	{
	 	 	Name = "Dismount King";
	 	 	Hue = 1157;
			Attributes.WeaponSpeed = 35;
			Attributes.DefendChance = 15;
			Attributes.Luck = 200;
			WeaponAttributes.HitLowerAttack = 25;
			WeaponAttributes.HitLeechStam = 40;
			WeaponAttributes.HitLightning = 50; 
	 	}

	 	public DismountKing(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}
		
		
		public override void OnAfterLoad()
		{
			Item i = Activator.CreateInstance( Misc.TreasuresOfFelucca.m_LesserArtifacts[Utility.Random( Misc.TreasuresOfFelucca.m_LesserArtifacts.Length )] ) as Item;			
			
			
			Misc.ObjectConverter.ConvertItem(this,i);
		}
	}
}
